Page MenuHome

Rigid body simulation behaves wildly on OSX
Closed, ResolvedPublic

Description

System Information
Mac os X 64-bit , NVIDIA GeForce 320M 256 MB

Blender Version
Broken: Blender 2.69.11/ which is the 2.70 test build.

Short description of error
Well there is something wrong with the rigid body simulator. When I add a object and make it active and add a plane which is passive. The object does drop to the plane as it should but once the active object touches the passive plane it starts to slide and move around. Physics are not properly simulated.

Exact steps for others to reproduce the error
I uploaded a video of a screen recording to show the problem/bug on my youtube page.
http://youtu.be/SjN8_sZcngM

Event Timeline

jesus lamas (jesus650rwc) set Type to Bug.
jesus lamas (jesus650rwc) created this task.
jesus lamas (jesus650rwc) claimed this task.
jesus lamas (jesus650rwc) raised the priority of this task from to Needs Triage by Developer.
Campbell Barton (campbellbarton) renamed this task from Blender 2.70 Test build bug. to Blender 2.70 Test build (rigid body simulator bug).Feb 22 2014, 3:47 AM

Cannot confirm that with latest trunk… Could you please upload a sample file with that issue?

Sergej, assigning to you nevertheless. ;)

Bastien Montagne (mont29) triaged this task as Needs Information from User priority.Feb 22 2014, 3:22 PM
Brecht Van Lommel (brecht) renamed this task from Blender 2.70 Test build (rigid body simulator bug) to Rigid body simulator bug.

Sample as in .blend? If so, here is a sample.

Can't reproduce here on arch linux 64 bit.
Would be good if someone could try to reproduce this on a mac.

Confirmed on an iMac running OSX 10.9.1

Works OK for me in official 2.69.0 r60991 and recent buildbot build 2.69 #2175302.

Did you test in Blender 2.70 test build that blender.org released?

@jesus lamas (jesus650rwc) Yes, the official Blender 2.70 test build from blender.org exhibits the issue on OSX 10.9.1. The earlier builds I mentioned are OK.

@jesus lamas (jesus650rwc) @Rob Waite (vectorspace)
Could you test the latest buildbot and see whether the problem still exists?

Blender 2.69 #cb1b6b5 from buildbot works fine for me.

Is that build the same build that was just released from blender? (Blender2.70)

@jesus lamas (jesus650rwc) It's a different build. As requested by Sergej, I tested the latest buildbot build (http://builder.blender.org/download/) which, as I reported above, works fine on OSX 10.9.1.

In summary, official release has the bug, buildbot is OK.

Sergej Reich (sergof) renamed this task from Rigid body simulator bug to Rigid body simulation behaves wildly on OSX.Mar 4 2014, 11:32 AM

Since the problem isn't present in the buildbot builds the bug is either fixed or it's a problem with the way the testbuild was made on OSX.
Please Test the release candidate when it comes out to make sure it's not the latter.

@Sergej Reich (sergof)

I just noticed the RC is available...

  • I've tested Blender 2.70 RC #19f7f9a (2014-03-05 18:37) and it has the wild behaviour.
  • The latest buildbot 2.69 #905dda (2014-03-05 08:00) is OK.

OSX 10.9.2.

Hope this helps.

Is there a way to fix this?

I confirm this issue.
The reason is my recent change to clang-omp-3.4.
Oddly it only happens in 64bit build.

We have several options:

  • compile bullet with apple clang for now ( has no openMP, do we even use it here ? )
  • fix it really. I get lot of warnings with clang 3.4 about initialization order.

...

Investigating what the real issue is atm.

Jens

So i made a tentavive fix for release 2.70 now, by just using clang 3.3 for bullet2.

This bullet issue should be investigated further:

  • issue is limited to clang 3.4 64bit atm., 32bit build works normal
  • my guess is it is something in the friction handling

Jens

Bang .. i just updated to Xcode 5.1 which is based on clang 3.4 too -> issue is back ( workaround was using the still @ 3.3 clang from former xcode )
So we need Erwin now

Jens

I wanna have this bug reopened due in fact i made fixes a bit working around the problem.
Although compiling is fixed, i would like to see comments from bullet2 ppl when
they start to use clang > 3.3 too.

The problem is solved atm by not using all release flags for compiling c-api and
just throw the full optimization on cpp code. We could live with that, but i wanna
know why this is in 64bit only and if it is perhaps stricter compiler or something else.

Due rare time atm., i postpone this for after 2.70 Priority is not high.

Jens

Bastien Montagne (mont29) raised the priority of this task from Needs Information from User to Normal.Mar 28 2014, 7:03 PM